aboutsummaryrefslogtreecommitdiffstats
path: root/run-in-harness.sh
diff options
context:
space:
mode:
Diffstat (limited to 'run-in-harness.sh')
-rwxr-xr-xrun-in-harness.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/run-in-harness.sh b/run-in-harness.sh
new file mode 100755
index 000000000000..6c6094bea100
--- /dev/null
+++ b/run-in-harness.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+WG="/home/zx2c4/Projects/WireGuard"
+SELF="$(readlink -f "${BASH_SOURCE[0]}")"
+IT="${SELF%/*}"
+set -ex
+
+export GIT_URI_integration="$IT"
+export KERNEL_VERSION=integration-git-debug
+make -C "$WG/src/tests/qemu" -j$(nproc)